<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: instruments.proto

namespace Tinkoff\Invest\V1;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 *Объект передачи информации об облигации.
 *
 * Generated from protobuf message <code>tinkoff.public.invest.api.contract.v1.Bond</code>
 */
class Bond extends \Google\Protobuf\Internal\Message
{
    /**
     *Figi-идентификатор инструмента.
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     */
    protected $figi = '';
    /**
     *Тикер инструмента.
     *
     * Generated from protobuf field <code>string ticker = 2;</code>
     */
    protected $ticker = '';
    /**
     *Класс-код (секция торгов).
     *
     * Generated from protobuf field <code>string class_code = 3;</code>
     */
    protected $class_code = '';
    /**
     *Isin-идентификатор инструмента.
     *
     * Generated from protobuf field <code>string isin = 4;</code>
     */
    protected $isin = '';
    /**
     *Лотность инструмента. Возможно совершение операций только на количества ценной бумаги, кратные параметру *lot*. Подробнее: [лот](/investAPI/glossary#lot)
     *
     * Generated from protobuf field <code>int32 lot = 5;</code>
     */
    protected $lot = 0;
    /**
     *Валюта расчётов.
     *
     * Generated from protobuf field <code>string currency = 6;</code>
     */
    protected $currency = '';
    /**
     *Коэффициент ставки риска длинной позиции по инструменту.
     *
     * Generated from protobuf field <code>double klong = 7;</code>
     */
    protected $klong = 0.0;
    /**
     *Коэффициент ставки риска короткой позиции по инструменту.
     *
     * Generated from protobuf field <code>double kshort = 8;</code>
     */
    protected $kshort = 0.0;
    /**
     *Ставка риска минимальной маржи в лонг. Подробнее: [ставка риска в лонг](https://help.tinkoff.ru/margin-trade/long/risk-rate/)
     *
     * Generated from protobuf field <code>double dlong = 9;</code>
     */
    protected $dlong = 0.0;
    /**
     *Ставка риска минимальной маржи в шорт. Подробнее: [ставка риска в шорт](https://help.tinkoff.ru/margin-trade/short/risk-rate/)
     *
     * Generated from protobuf field <code>double dshort = 10;</code>
     */
    protected $dshort = 0.0;
    /**
     *Ставка риска начальной маржи в лонг. Подробнее: [ставка риска в лонг](https://help.tinkoff.ru/margin-trade/long/risk-rate/)
     *
     * Generated from protobuf field <code>double dlong_min = 11;</code>
     */
    protected $dlong_min = 0.0;
    /**
     *Ставка риска начальной маржи в шорт. Подробнее: [ставка риска в шорт](https://help.tinkoff.ru/margin-trade/short/risk-rate/)
     *
     * Generated from protobuf field <code>double dshort_min = 12;</code>
     */
    protected $dshort_min = 0.0;
    /**
     *Признак доступности для операций в шорт.
     *
     * Generated from protobuf field <code>bool short_enabled_flag = 13;</code>
     */
    protected $short_enabled_flag = false;
    /**
     *Название инструмента.
     *
     * Generated from protobuf field <code>string name = 15;</code>
     */
    protected $name = '';
    /**
     *Торговая площадка.
     *
     * Generated from protobuf field <code>string exchange = 16;</code>
     */
    protected $exchange = '';
    /**
     *Количество выплат по купонам в год.
     *
     * Generated from protobuf field <code>int32 coupon_quantity_per_year = 17;</code>
     */
    protected $coupon_quantity_per_year = 0;
    /**
     *Дата погашения облигации в часовом поясе UTC.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp maturity_date = 18;</code>
     */
    protected $maturity_date = null;
    /**
     *Номинал облигации.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue nominal = 19;</code>
     */
    protected $nominal = null;
    /**
     *Дата выпуска облигации в часовом поясе UTC.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp state_reg_date = 21;</code>
     */
    protected $state_reg_date = null;
    /**
     *Дата размещения в часовом поясе UTC.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp placement_date = 22;</code>
     */
    protected $placement_date = null;
    /**
     *Цена размещения.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue placement_price = 23;</code>
     */
    protected $placement_price = null;
    /**
     *Значение НКД (накопленного купонного дохода) на дату.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue aci_value = 24;</code>
     */
    protected $aci_value = null;
    /**
     *Код страны эмитента.
     *
     * Generated from protobuf field <code>string country_of_risk = 25;</code>
     */
    protected $country_of_risk = '';
    /**
     *Наименование страны эмитента.
     *
     * Generated from protobuf field <code>string country_of_risk_name = 26;</code>
     */
    protected $country_of_risk_name = '';
    /**
     *Сектор экономики.
     *
     * Generated from protobuf field <code>string sector = 27;</code>
     */
    protected $sector = '';
    /**
     *Форма выпуска. Возможные значения: </br>**documentary** — документарная; </br>**non_documentary** — бездокументарная.
     *
     * Generated from protobuf field <code>string issue_kind = 28;</code>
     */
    protected $issue_kind = '';
    /**
     *Размер выпуска.
     *
     * Generated from protobuf field <code>int64 issue_size = 29;</code>
     */
    protected $issue_size = 0;
    /**
     *Плановый размер выпуска.
     *
     * Generated from protobuf field <code>int64 issue_size_plan = 30;</code>
     */
    protected $issue_size_plan = 0;
    /**
     *Текущий режим торгов инструмента.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.SecurityTradingStatus trading_status = 31;</code>
     */
    protected $trading_status = 0;
    /**
     *Признак внебиржевой ценной бумаги.
     *
     * Generated from protobuf field <code>bool otc_flag = 32;</code>
     */
    protected $otc_flag = false;
    /**
     *Признак доступности для покупки.
     *
     * Generated from protobuf field <code>bool buy_available_flag = 33;</code>
     */
    protected $buy_available_flag = false;
    /**
     *Признак доступности для продажи.
     *
     * Generated from protobuf field <code>bool sell_available_flag = 34;</code>
     */
    protected $sell_available_flag = false;
    /**
     *Признак облигации с плавающим купоном.
     *
     * Generated from protobuf field <code>bool floating_coupon_flag = 35;</code>
     */
    protected $floating_coupon_flag = false;
    /**
     *Признак бессрочной облигации.
     *
     * Generated from protobuf field <code>bool perpetual_flag = 36;</code>
     */
    protected $perpetual_flag = false;
    /**
     *Признак облигации с амортизацией долга.
     *
     * Generated from protobuf field <code>bool amortization_flag = 37;</code>
     */
    protected $amortization_flag = false;
    /**
     *Шаг цены.
     *
     * Generated from protobuf field <code>float min_price_increment = 38;</code>
     */
    protected $min_price_increment = 0.0;
    /**
     *Признак доступности торгов через API.
     *
     * Generated from protobuf field <code>bool api_trade_available_flag = 39;</code>
     */
    protected $api_trade_available_flag = false;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $figi
     *          Figi-идентификатор инструмента.
     *     @type string $ticker
     *          Тикер инструмента.
     *     @type string $class_code
     *          Класс-код (секция торгов).
     *     @type string $isin
     *          Isin-идентификатор инструмента.
     *     @type int $lot
     *          Лотность инструмента. Возможно совершение операций только на количества ценной бумаги, кратные параметру *lot*. Подробнее: [лот](/investAPI/glossary#lot)
     *     @type string $currency
     *          Валюта расчётов.
     *     @type float $klong
     *          Коэффициент ставки риска длинной позиции по инструменту.
     *     @type float $kshort
     *          Коэффициент ставки риска короткой позиции по инструменту.
     *     @type float $dlong
     *          Ставка риска минимальной маржи в лонг. Подробнее: [ставка риска в лонг](https://help.tinkoff.ru/margin-trade/long/risk-rate/)
     *     @type float $dshort
     *          Ставка риска минимальной маржи в шорт. Подробнее: [ставка риска в шорт](https://help.tinkoff.ru/margin-trade/short/risk-rate/)
     *     @type float $dlong_min
     *          Ставка риска начальной маржи в лонг. Подробнее: [ставка риска в лонг](https://help.tinkoff.ru/margin-trade/long/risk-rate/)
     *     @type float $dshort_min
     *          Ставка риска начальной маржи в шорт. Подробнее: [ставка риска в шорт](https://help.tinkoff.ru/margin-trade/short/risk-rate/)
     *     @type bool $short_enabled_flag
     *          Признак доступности для операций в шорт.
     *     @type string $name
     *          Название инструмента.
     *     @type string $exchange
     *          Торговая площадка.
     *     @type int $coupon_quantity_per_year
     *          Количество выплат по купонам в год.
     *     @type \Google\Protobuf\Timestamp $maturity_date
     *          Дата погашения облигации в часовом поясе UTC.
     *     @type \Tinkoff\Invest\V1\MoneyValue $nominal
     *          Номинал облигации.
     *     @type \Google\Protobuf\Timestamp $state_reg_date
     *          Дата выпуска облигации в часовом поясе UTC.
     *     @type \Google\Protobuf\Timestamp $placement_date
     *          Дата размещения в часовом поясе UTC.
     *     @type \Tinkoff\Invest\V1\MoneyValue $placement_price
     *          Цена размещения.
     *     @type \Tinkoff\Invest\V1\MoneyValue $aci_value
     *          Значение НКД (накопленного купонного дохода) на дату.
     *     @type string $country_of_risk
     *          Код страны эмитента.
     *     @type string $country_of_risk_name
     *          Наименование страны эмитента.
     *     @type string $sector
     *          Сектор экономики.
     *     @type string $issue_kind
     *          Форма выпуска. Возможные значения: </br>**documentary** — документарная; </br>**non_documentary** — бездокументарная.
     *     @type int|string $issue_size
     *          Размер выпуска.
     *     @type int|string $issue_size_plan
     *          Плановый размер выпуска.
     *     @type int $trading_status
     *          Текущий режим торгов инструмента.
     *     @type bool $otc_flag
     *          Признак внебиржевой ценной бумаги.
     *     @type bool $buy_available_flag
     *          Признак доступности для покупки.
     *     @type bool $sell_available_flag
     *          Признак доступности для продажи.
     *     @type bool $floating_coupon_flag
     *          Признак облигации с плавающим купоном.
     *     @type bool $perpetual_flag
     *          Признак бессрочной облигации.
     *     @type bool $amortization_flag
     *          Признак облигации с амортизацией долга.
     *     @type float $min_price_increment
     *          Шаг цены.
     *     @type bool $api_trade_available_flag
     *          Признак доступности торгов через API.
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Instruments::initOnce();
        parent::__construct($data);
    }

    /**
     *Figi-идентификатор инструмента.
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @return string
     */
    public function getFigi()
    {
        return $this->figi;
    }

    /**
     *Figi-идентификатор инструмента.
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setFigi($var)
    {
        GPBUtil::checkString($var, True);
        $this->figi = $var;

        return $this;
    }

    /**
     *Тикер инструмента.
     *
     * Generated from protobuf field <code>string ticker = 2;</code>
     * @return string
     */
    public function getTicker()
    {
        return $this->ticker;
    }

    /**
     *Тикер инструмента.
     *
     * Generated from protobuf field <code>string ticker = 2;</code>
     * @param string $var
     * @return $this
     */
    public function setTicker($var)
    {
        GPBUtil::checkString($var, True);
        $this->ticker = $var;

        return $this;
    }

    /**
     *Класс-код (секция торгов).
     *
     * Generated from protobuf field <code>string class_code = 3;</code>
     * @return string
     */
    public function getClassCode()
    {
        return $this->class_code;
    }

    /**
     *Класс-код (секция торгов).
     *
     * Generated from protobuf field <code>string class_code = 3;</code>
     * @param string $var
     * @return $this
     */
    public function setClassCode($var)
    {
        GPBUtil::checkString($var, True);
        $this->class_code = $var;

        return $this;
    }

    /**
     *Isin-идентификатор инструмента.
     *
     * Generated from protobuf field <code>string isin = 4;</code>
     * @return string
     */
    public function getIsin()
    {
        return $this->isin;
    }

    /**
     *Isin-идентификатор инструмента.
     *
     * Generated from protobuf field <code>string isin = 4;</code>
     * @param string $var
     * @return $this
     */
    public function setIsin($var)
    {
        GPBUtil::checkString($var, True);
        $this->isin = $var;

        return $this;
    }

    /**
     *Лотность инструмента. Возможно совершение операций только на количества ценной бумаги, кратные параметру *lot*. Подробнее: [лот](/investAPI/glossary#lot)
     *
     * Generated from protobuf field <code>int32 lot = 5;</code>
     * @return int
     */
    public function getLot()
    {
        return $this->lot;
    }

    /**
     *Лотность инструмента. Возможно совершение операций только на количества ценной бумаги, кратные параметру *lot*. Подробнее: [лот](/investAPI/glossary#lot)
     *
     * Generated from protobuf field <code>int32 lot = 5;</code>
     * @param int $var
     * @return $this
     */
    public function setLot($var)
    {
        GPBUtil::checkInt32($var);
        $this->lot = $var;

        return $this;
    }

    /**
     *Валюта расчётов.
     *
     * Generated from protobuf field <code>string currency = 6;</code>
     * @return string
     */
    public function getCurrency()
    {
        return $this->currency;
    }

    /**
     *Валюта расчётов.
     *
     * Generated from protobuf field <code>string currency = 6;</code>
     * @param string $var
     * @return $this
     */
    public function setCurrency($var)
    {
        GPBUtil::checkString($var, True);
        $this->currency = $var;

        return $this;
    }

    /**
     *Коэффициент ставки риска длинной позиции по инструменту.
     *
     * Generated from protobuf field <code>double klong = 7;</code>
     * @return float
     */
    public function getKlong()
    {
        return $this->klong;
    }

    /**
     *Коэффициент ставки риска длинной позиции по инструменту.
     *
     * Generated from protobuf field <code>double klong = 7;</code>
     * @param float $var
     * @return $this
     */
    public function setKlong($var)
    {
        GPBUtil::checkDouble($var);
        $this->klong = $var;

        return $this;
    }

    /**
     *Коэффициент ставки риска короткой позиции по инструменту.
     *
     * Generated from protobuf field <code>double kshort = 8;</code>
     * @return float
     */
    public function getKshort()
    {
        return $this->kshort;
    }

    /**
     *Коэффициент ставки риска короткой позиции по инструменту.
     *
     * Generated from protobuf field <code>double kshort = 8;</code>
     * @param float $var
     * @return $this
     */
    public function setKshort($var)
    {
        GPBUtil::checkDouble($var);
        $this->kshort = $var;

        return $this;
    }

    /**
     *Ставка риска минимальной маржи в лонг. Подробнее: [ставка риска в лонг](https://help.tinkoff.ru/margin-trade/long/risk-rate/)
     *
     * Generated from protobuf field <code>double dlong = 9;</code>
     * @return float
     */
    public function getDlong()
    {
        return $this->dlong;
    }

    /**
     *Ставка риска минимальной маржи в лонг. Подробнее: [ставка риска в лонг](https://help.tinkoff.ru/margin-trade/long/risk-rate/)
     *
     * Generated from protobuf field <code>double dlong = 9;</code>
     * @param float $var
     * @return $this
     */
    public function setDlong($var)
    {
        GPBUtil::checkDouble($var);
        $this->dlong = $var;

        return $this;
    }

    /**
     *Ставка риска минимальной маржи в шорт. Подробнее: [ставка риска в шорт](https://help.tinkoff.ru/margin-trade/short/risk-rate/)
     *
     * Generated from protobuf field <code>double dshort = 10;</code>
     * @return float
     */
    public function getDshort()
    {
        return $this->dshort;
    }

    /**
     *Ставка риска минимальной маржи в шорт. Подробнее: [ставка риска в шорт](https://help.tinkoff.ru/margin-trade/short/risk-rate/)
     *
     * Generated from protobuf field <code>double dshort = 10;</code>
     * @param float $var
     * @return $this
     */
    public function setDshort($var)
    {
        GPBUtil::checkDouble($var);
        $this->dshort = $var;

        return $this;
    }

    /**
     *Ставка риска начальной маржи в лонг. Подробнее: [ставка риска в лонг](https://help.tinkoff.ru/margin-trade/long/risk-rate/)
     *
     * Generated from protobuf field <code>double dlong_min = 11;</code>
     * @return float
     */
    public function getDlongMin()
    {
        return $this->dlong_min;
    }

    /**
     *Ставка риска начальной маржи в лонг. Подробнее: [ставка риска в лонг](https://help.tinkoff.ru/margin-trade/long/risk-rate/)
     *
     * Generated from protobuf field <code>double dlong_min = 11;</code>
     * @param float $var
     * @return $this
     */
    public function setDlongMin($var)
    {
        GPBUtil::checkDouble($var);
        $this->dlong_min = $var;

        return $this;
    }

    /**
     *Ставка риска начальной маржи в шорт. Подробнее: [ставка риска в шорт](https://help.tinkoff.ru/margin-trade/short/risk-rate/)
     *
     * Generated from protobuf field <code>double dshort_min = 12;</code>
     * @return float
     */
    public function getDshortMin()
    {
        return $this->dshort_min;
    }

    /**
     *Ставка риска начальной маржи в шорт. Подробнее: [ставка риска в шорт](https://help.tinkoff.ru/margin-trade/short/risk-rate/)
     *
     * Generated from protobuf field <code>double dshort_min = 12;</code>
     * @param float $var
     * @return $this
     */
    public function setDshortMin($var)
    {
        GPBUtil::checkDouble($var);
        $this->dshort_min = $var;

        return $this;
    }

    /**
     *Признак доступности для операций в шорт.
     *
     * Generated from protobuf field <code>bool short_enabled_flag = 13;</code>
     * @return bool
     */
    public function getShortEnabledFlag()
    {
        return $this->short_enabled_flag;
    }

    /**
     *Признак доступности для операций в шорт.
     *
     * Generated from protobuf field <code>bool short_enabled_flag = 13;</code>
     * @param bool $var
     * @return $this
     */
    public function setShortEnabledFlag($var)
    {
        GPBUtil::checkBool($var);
        $this->short_enabled_flag = $var;

        return $this;
    }

    /**
     *Название инструмента.
     *
     * Generated from protobuf field <code>string name = 15;</code>
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     *Название инструмента.
     *
     * Generated from protobuf field <code>string name = 15;</code>
     * @param string $var
     * @return $this
     */
    public function setName($var)
    {
        GPBUtil::checkString($var, True);
        $this->name = $var;

        return $this;
    }

    /**
     *Торговая площадка.
     *
     * Generated from protobuf field <code>string exchange = 16;</code>
     * @return string
     */
    public function getExchange()
    {
        return $this->exchange;
    }

    /**
     *Торговая площадка.
     *
     * Generated from protobuf field <code>string exchange = 16;</code>
     * @param string $var
     * @return $this
     */
    public function setExchange($var)
    {
        GPBUtil::checkString($var, True);
        $this->exchange = $var;

        return $this;
    }

    /**
     *Количество выплат по купонам в год.
     *
     * Generated from protobuf field <code>int32 coupon_quantity_per_year = 17;</code>
     * @return int
     */
    public function getCouponQuantityPerYear()
    {
        return $this->coupon_quantity_per_year;
    }

    /**
     *Количество выплат по купонам в год.
     *
     * Generated from protobuf field <code>int32 coupon_quantity_per_year = 17;</code>
     * @param int $var
     * @return $this
     */
    public function setCouponQuantityPerYear($var)
    {
        GPBUtil::checkInt32($var);
        $this->coupon_quantity_per_year = $var;

        return $this;
    }

    /**
     *Дата погашения облигации в часовом поясе UTC.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp maturity_date = 18;</code>
     * @return \Google\Protobuf\Timestamp
     */
    public function getMaturityDate()
    {
        return $this->maturity_date;
    }

    /**
     *Дата погашения облигации в часовом поясе UTC.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp maturity_date = 18;</code>
     * @param \Google\Protobuf\Timestamp $var
     * @return $this
     */
    public function setMaturityDate($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\Timestamp::class);
        $this->maturity_date = $var;

        return $this;
    }

    /**
     *Номинал облигации.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue nominal = 19;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getNominal()
    {
        return $this->nominal;
    }

    /**
     *Номинал облигации.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue nominal = 19;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setNominal($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->nominal = $var;

        return $this;
    }

    /**
     *Дата выпуска облигации в часовом поясе UTC.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp state_reg_date = 21;</code>
     * @return \Google\Protobuf\Timestamp
     */
    public function getStateRegDate()
    {
        return $this->state_reg_date;
    }

    /**
     *Дата выпуска облигации в часовом поясе UTC.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp state_reg_date = 21;</code>
     * @param \Google\Protobuf\Timestamp $var
     * @return $this
     */
    public function setStateRegDate($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\Timestamp::class);
        $this->state_reg_date = $var;

        return $this;
    }

    /**
     *Дата размещения в часовом поясе UTC.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp placement_date = 22;</code>
     * @return \Google\Protobuf\Timestamp
     */
    public function getPlacementDate()
    {
        return $this->placement_date;
    }

    /**
     *Дата размещения в часовом поясе UTC.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp placement_date = 22;</code>
     * @param \Google\Protobuf\Timestamp $var
     * @return $this
     */
    public function setPlacementDate($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\Timestamp::class);
        $this->placement_date = $var;

        return $this;
    }

    /**
     *Цена размещения.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue placement_price = 23;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getPlacementPrice()
    {
        return $this->placement_price;
    }

    /**
     *Цена размещения.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue placement_price = 23;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setPlacementPrice($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->placement_price = $var;

        return $this;
    }

    /**
     *Значение НКД (накопленного купонного дохода) на дату.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue aci_value = 24;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getAciValue()
    {
        return $this->aci_value;
    }

    /**
     *Значение НКД (накопленного купонного дохода) на дату.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue aci_value = 24;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setAciValue($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->aci_value = $var;

        return $this;
    }

    /**
     *Код страны эмитента.
     *
     * Generated from protobuf field <code>string country_of_risk = 25;</code>
     * @return string
     */
    public function getCountryOfRisk()
    {
        return $this->country_of_risk;
    }

    /**
     *Код страны эмитента.
     *
     * Generated from protobuf field <code>string country_of_risk = 25;</code>
     * @param string $var
     * @return $this
     */
    public function setCountryOfRisk($var)
    {
        GPBUtil::checkString($var, True);
        $this->country_of_risk = $var;

        return $this;
    }

    /**
     *Наименование страны эмитента.
     *
     * Generated from protobuf field <code>string country_of_risk_name = 26;</code>
     * @return string
     */
    public function getCountryOfRiskName()
    {
        return $this->country_of_risk_name;
    }

    /**
     *Наименование страны эмитента.
     *
     * Generated from protobuf field <code>string country_of_risk_name = 26;</code>
     * @param string $var
     * @return $this
     */
    public function setCountryOfRiskName($var)
    {
        GPBUtil::checkString($var, True);
        $this->country_of_risk_name = $var;

        return $this;
    }

    /**
     *Сектор экономики.
     *
     * Generated from protobuf field <code>string sector = 27;</code>
     * @return string
     */
    public function getSector()
    {
        return $this->sector;
    }

    /**
     *Сектор экономики.
     *
     * Generated from protobuf field <code>string sector = 27;</code>
     * @param string $var
     * @return $this
     */
    public function setSector($var)
    {
        GPBUtil::checkString($var, True);
        $this->sector = $var;

        return $this;
    }

    /**
     *Форма выпуска. Возможные значения: </br>**documentary** — документарная; </br>**non_documentary** — бездокументарная.
     *
     * Generated from protobuf field <code>string issue_kind = 28;</code>
     * @return string
     */
    public function getIssueKind()
    {
        return $this->issue_kind;
    }

    /**
     *Форма выпуска. Возможные значения: </br>**documentary** — документарная; </br>**non_documentary** — бездокументарная.
     *
     * Generated from protobuf field <code>string issue_kind = 28;</code>
     * @param string $var
     * @return $this
     */
    public function setIssueKind($var)
    {
        GPBUtil::checkString($var, True);
        $this->issue_kind = $var;

        return $this;
    }

    /**
     *Размер выпуска.
     *
     * Generated from protobuf field <code>int64 issue_size = 29;</code>
     * @return int|string
     */
    public function getIssueSize()
    {
        return $this->issue_size;
    }

    /**
     *Размер выпуска.
     *
     * Generated from protobuf field <code>int64 issue_size = 29;</code>
     * @param int|string $var
     * @return $this
     */
    public function setIssueSize($var)
    {
        GPBUtil::checkInt64($var);
        $this->issue_size = $var;

        return $this;
    }

    /**
     *Плановый размер выпуска.
     *
     * Generated from protobuf field <code>int64 issue_size_plan = 30;</code>
     * @return int|string
     */
    public function getIssueSizePlan()
    {
        return $this->issue_size_plan;
    }

    /**
     *Плановый размер выпуска.
     *
     * Generated from protobuf field <code>int64 issue_size_plan = 30;</code>
     * @param int|string $var
     * @return $this
     */
    public function setIssueSizePlan($var)
    {
        GPBUtil::checkInt64($var);
        $this->issue_size_plan = $var;

        return $this;
    }

    /**
     *Текущий режим торгов инструмента.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.SecurityTradingStatus trading_status = 31;</code>
     * @return int
     */
    public function getTradingStatus()
    {
        return $this->trading_status;
    }

    /**
     *Текущий режим торгов инструмента.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.SecurityTradingStatus trading_status = 31;</code>
     * @param int $var
     * @return $this
     */
    public function setTradingStatus($var)
    {
        GPBUtil::checkEnum($var, \Tinkoff\Invest\V1\SecurityTradingStatus::class);
        $this->trading_status = $var;

        return $this;
    }

    /**
     *Признак внебиржевой ценной бумаги.
     *
     * Generated from protobuf field <code>bool otc_flag = 32;</code>
     * @return bool
     */
    public function getOtcFlag()
    {
        return $this->otc_flag;
    }

    /**
     *Признак внебиржевой ценной бумаги.
     *
     * Generated from protobuf field <code>bool otc_flag = 32;</code>
     * @param bool $var
     * @return $this
     */
    public function setOtcFlag($var)
    {
        GPBUtil::checkBool($var);
        $this->otc_flag = $var;

        return $this;
    }

    /**
     *Признак доступности для покупки.
     *
     * Generated from protobuf field <code>bool buy_available_flag = 33;</code>
     * @return bool
     */
    public function getBuyAvailableFlag()
    {
        return $this->buy_available_flag;
    }

    /**
     *Признак доступности для покупки.
     *
     * Generated from protobuf field <code>bool buy_available_flag = 33;</code>
     * @param bool $var
     * @return $this
     */
    public function setBuyAvailableFlag($var)
    {
        GPBUtil::checkBool($var);
        $this->buy_available_flag = $var;

        return $this;
    }

    /**
     *Признак доступности для продажи.
     *
     * Generated from protobuf field <code>bool sell_available_flag = 34;</code>
     * @return bool
     */
    public function getSellAvailableFlag()
    {
        return $this->sell_available_flag;
    }

    /**
     *Признак доступности для продажи.
     *
     * Generated from protobuf field <code>bool sell_available_flag = 34;</code>
     * @param bool $var
     * @return $this
     */
    public function setSellAvailableFlag($var)
    {
        GPBUtil::checkBool($var);
        $this->sell_available_flag = $var;

        return $this;
    }

    /**
     *Признак облигации с плавающим купоном.
     *
     * Generated from protobuf field <code>bool floating_coupon_flag = 35;</code>
     * @return bool
     */
    public function getFloatingCouponFlag()
    {
        return $this->floating_coupon_flag;
    }

    /**
     *Признак облигации с плавающим купоном.
     *
     * Generated from protobuf field <code>bool floating_coupon_flag = 35;</code>
     * @param bool $var
     * @return $this
     */
    public function setFloatingCouponFlag($var)
    {
        GPBUtil::checkBool($var);
        $this->floating_coupon_flag = $var;

        return $this;
    }

    /**
     *Признак бессрочной облигации.
     *
     * Generated from protobuf field <code>bool perpetual_flag = 36;</code>
     * @return bool
     */
    public function getPerpetualFlag()
    {
        return $this->perpetual_flag;
    }

    /**
     *Признак бессрочной облигации.
     *
     * Generated from protobuf field <code>bool perpetual_flag = 36;</code>
     * @param bool $var
     * @return $this
     */
    public function setPerpetualFlag($var)
    {
        GPBUtil::checkBool($var);
        $this->perpetual_flag = $var;

        return $this;
    }

    /**
     *Признак облигации с амортизацией долга.
     *
     * Generated from protobuf field <code>bool amortization_flag = 37;</code>
     * @return bool
     */
    public function getAmortizationFlag()
    {
        return $this->amortization_flag;
    }

    /**
     *Признак облигации с амортизацией долга.
     *
     * Generated from protobuf field <code>bool amortization_flag = 37;</code>
     * @param bool $var
     * @return $this
     */
    public function setAmortizationFlag($var)
    {
        GPBUtil::checkBool($var);
        $this->amortization_flag = $var;

        return $this;
    }

    /**
     *Шаг цены.
     *
     * Generated from protobuf field <code>float min_price_increment = 38;</code>
     * @return float
     */
    public function getMinPriceIncrement()
    {
        return $this->min_price_increment;
    }

    /**
     *Шаг цены.
     *
     * Generated from protobuf field <code>float min_price_increment = 38;</code>
     * @param float $var
     * @return $this
     */
    public function setMinPriceIncrement($var)
    {
        GPBUtil::checkFloat($var);
        $this->min_price_increment = $var;

        return $this;
    }

    /**
     *Признак доступности торгов через API.
     *
     * Generated from protobuf field <code>bool api_trade_available_flag = 39;</code>
     * @return bool
     */
    public function getApiTradeAvailableFlag()
    {
        return $this->api_trade_available_flag;
    }

    /**
     *Признак доступности торгов через API.
     *
     * Generated from protobuf field <code>bool api_trade_available_flag = 39;</code>
     * @param bool $var
     * @return $this
     */
    public function setApiTradeAvailableFlag($var)
    {
        GPBUtil::checkBool($var);
        $this->api_trade_available_flag = $var;

        return $this;
    }

}

